Notices


Reply
Thread Tools
Posts: 250 | Thanked: 273 times | Joined on Jan 2012 @ Madrid, Spain
#1
Hi.

I'm trying to install the sources of a binary package to my JollaC to no avail....
So far I have tried with:
Code:
pkcon install 'package'
pkcon install-local 'package-file.rpm'
zypper install 'package-file.rpm'
Anybody knows what I am missing?
Sorry if it has been answered before, I'm on a tight schedule..

Regards.
 

The Following User Says Thank You to pasko For This Useful Post:
coderus's Avatar
Posts: 5,984 | Thanked: 10,901 times | Joined on Nov 2011 @ Open Mobile Platform, Innopolis, Russia
#2
explain please
__________________
Twitter | Openrepos | GitHub | PayPal.Me
 

The Following 4 Users Say Thank You to coderus For This Useful Post:
Posts: 250 | Thanked: 273 times | Joined on Jan 2012 @ Madrid, Spain
#3
Originally Posted by coderus View Post
explain please
Hi.

I'm trying to install "wpa_supplicant-2.5+git1-1.14.7.source". I already have "wpa_supplicant-2.5+git1-1.14.7.armv7hl" installed, but then:
Code:
[[nemo@Sailfish ~]$ devel-su pkcon install wpa_supplicant-2.5+git1-1.14.7.source
Password: 
Command failed: This tool could not find any available package: could not find wpa_supplicant-2.5+git1-1.14.7.source
I have also tried:
Code:
nemo@Sailfish ~]$ devel-su pkcon install-local /home/nemo/Downloads/wpa_supplicant-2.5+git1-1.14.7.src.rpm 
Password: 
Installing files                                                                                                                                        
Waiting in queue                                                                                                                                        
Fatal error: MIME type 'application/x-source-rpm' not supported /home/nemo/Downloads/wpa_supplicant-2.5+git1-1.14.7.src.rpm
or:
Code:
[nemo@Sailfish ~]$ devel-su zypper install /home/nemo/Downloads/wpa_supplicant-2.5+git1-1.14.7.src.rpm 
Password: 
PackageKit is blocking zypper. This happens if you have an updater applet or other software management application using PackageKit running.
Tell PackageKit to quit? [yes/no] (no): yes
Loading repository data...
Reading installed packages...
'_tmpRPMcache_:wpa_supplicant=0:2.5+git1-1.14.7' not found in package names. Trying capabilities.
'wpa_supplicant = 0:2.5+git1-1.14.7' is already installed.
Resolving package dependencies...

Nothing to do.
And this is all I've tried.

Regards.
 

The Following User Says Thank You to pasko For This Useful Post:
coderus's Avatar
Posts: 5,984 | Thanked: 10,901 times | Joined on Nov 2011 @ Open Mobile Platform, Innopolis, Russia
#4
ahm you can't do that with pkcon. you need to use zypper
Code:
zypper si wpa_supplicant
it will download source to ~/rpmbuild/SOURCES
__________________
Twitter | Openrepos | GitHub | PayPal.Me
 

The Following 5 Users Say Thank You to coderus For This Useful Post:
Posts: 250 | Thanked: 273 times | Joined on Jan 2012 @ Madrid, Spain
#5
Hi.

Thank you. ;-)

Regards.
 

The Following User Says Thank You to pasko For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 22:39.